searchNodes=[{"doc":"Module for downloading the CIFAR10 dataset .","ref":"Scidata.CIFAR10.html","title":"Scidata.CIFAR10","type":"module"},{"doc":"Downloads the CIFAR10 training dataset or fetches it locally. Options :transform_images - A function that transforms images, defaults to &amp; &amp;1 . It accepts a tuple like {binary_data, tensor_type, data_shape} which can be used for converting the binary_data to a tensor with a function like: fn { labels_binary , type , _shape } -&gt; labels_binary |&gt; Nx . from_binary ( type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) |&gt; Nx . to_batched_list ( 32 ) end :transform_labels - similar to :transform_images but applied to dataset labels Examples iex&gt; Scidata.CIFAR10 . download ( ) { { &lt;&lt; 59 , 43 , 50 , 68 , 98 , 119 , 139 , 145 , 149 , 149 , 131 , 125 , 142 , 144 , 137 , 129 , 137 , 134 , 124 , 139 , 139 , 133 , 136 , 139 , 152 , 163 , 168 , 159 , 158 , 158 , 152 , 148 , 16 , 0 , 18 , 51 , 88 , 120 , 128 , 127 , 126 , 116 , 106 , 101 , 105 , 113 , 109 , 112 , ... &gt;&gt; , { :u , 8 } , { 50000 , 3 , 32 , 32 } } , { &lt;&lt; 6 , 9 , 9 , 4 , 1 , 1 , 2 , 7 , 8 , 3 , 4 , 7 , 7 , 2 , 9 , 9 , 9 , 3 , 2 , 6 , 4 , 3 , 6 , 6 , 2 , 6 , 3 , 5 , 4 , 0 , 0 , 9 , 1 , 3 , 4 , 0 , 3 , 7 , 3 , 3 , 5 , 2 , 2 , 7 , 1 , 1 , 1 , ... &gt;&gt; , { :u , 8 } , { 50000 } } }","ref":"Scidata.CIFAR10.html#download/1","title":"Scidata.CIFAR10.download/1","type":"function"},{"doc":"Downloads the CIFAR10 test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.CIFAR10.html#download_test/1","title":"Scidata.CIFAR10.download_test/1","type":"function"},{"doc":"Module for downloading the CIFAR100 dataset .","ref":"Scidata.CIFAR100.html","title":"Scidata.CIFAR100","type":"module"},{"doc":"Downloads the CIFAR100 training dataset or fetches it locally. Options :transform_images - A function that transforms images, defaults to &amp; &amp;1 . It accepts a tuple like {binary_data, tensor_type, data_shape} which can be used for converting the binary_data to a tensor with a function like: fn { labels_binary , type , _shape } -&gt; labels_binary |&gt; Nx . from_binary ( type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) |&gt; Nx . to_batched_list ( 32 ) end :transform_labels - similar to :transform_images but applied to dataset labels Examples iex&gt; Scidata.CIFAR100 . download ( ) { { &lt;&lt; 59 , 43 , 50 , 68 , 98 , 119 , 139 , 145 , 149 , 149 , 131 , 125 , 142 , 144 , 137 , 129 , 137 , 134 , 124 , 139 , 139 , 133 , 136 , 139 , 152 , 163 , 168 , 159 , 158 , 158 , 152 , 148 , 16 , 0 , 18 , 51 , 88 , 120 , 128 , 127 , 126 , 116 , 106 , 101 , 105 , 113 , 109 , 112 , ... &gt;&gt; , { :u , 8 } , { 50000 , 3 , 32 , 32 } } , { &lt;&lt; 6 , 9 , 9 , 4 , 1 , 1 , 2 , 7 , 8 , 3 , 4 , 7 , 7 , 2 , 9 , 9 , 9 , 3 , 2 , 6 , 4 , 3 , 6 , 6 , 2 , 6 , 3 , 5 , 4 , 0 , 0 , 9 , 1 , 3 , 4 , 0 , 3 , 7 , 3 , 3 , 5 , 2 , 2 , 7 , 1 , 1 , 1 , ... &gt;&gt; , { :u , 8 } , { 50000 , 2 } } }","ref":"Scidata.CIFAR100.html#download/1","title":"Scidata.CIFAR100.download/1","type":"function"},{"doc":"Downloads the CIFAR100 test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.CIFAR100.html#download_test/1","title":"Scidata.CIFAR100.download_test/1","type":"function"},{"doc":"Module for downloading the FashionMNIST dataset .","ref":"Scidata.FashionMNIST.html","title":"Scidata.FashionMNIST","type":"module"},{"doc":"Downloads the FashionMNIST training dataset or fetches it locally. Options :transform_images - A function that transforms images, defaults to &amp; &amp;1 . It accepts a tuple like {binary_data, tensor_type, data_shape} which can be used for converting the binary_data to a tensor with a function like: fn { labels_binary , type , _shape } -&gt; labels_binary |&gt; Nx . from_binary ( type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) |&gt; Nx . to_batched_list ( 32 ) end :transform_labels - similar to :transform_images but applied to dataset labels Examples iex&gt; Scidata.FashionMNIST . download ( ) { { &lt;&lt; 105 , 109 , 97 , 103 , 101 , 115 , 45 , 105 , 100 , 120 , 51 , 45 , 117 , 98 , 121 , 116 , 101 , 0 , 236 , 253 , 7 , 88 , 84 , 201 , 215 , 232 , 11 , 23 , 152 , 38 , 57 , 51 , 166 , 81 , 71 , 157 , 209 , 49 , 135 , 49 , 141 , 99 , 206 , 142 , 57 , 141 , 89 , 68 , ... &gt;&gt; , { :u , 8 } , { 3739854681 , 226418 , 1634299437 } } , { &lt;&lt; 0 , 3 , 116 , 114 , 97 , 105 , 110 , 45 , 108 , 97 , 98 , 101 , 108 , 115 , 45 , 105 , 100 , 120 , 49 , 45 , 117 , 98 , 121 , 116 , 101 , 0 , 53 , 221 , 9 , 130 , 36 , 73 , 110 , 100 , 81 , 219 , 220 , 150 , 91 , 214 , 249 , 251 , 20 , 141 , 247 , 53 , 114 , ... &gt;&gt; , { :u , 8 } , { 3739854681 } } }","ref":"Scidata.FashionMNIST.html#download/1","title":"Scidata.FashionMNIST.download/1","type":"function"},{"doc":"Downloads the FashionMNIST test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.FashionMNIST.html#download_test/1","title":"Scidata.FashionMNIST.download_test/1","type":"function"},{"doc":"Module for downloading the MNIST dataset .","ref":"Scidata.MNIST.html","title":"Scidata.MNIST","type":"module"},{"doc":"Downloads the MNIST training dataset or fetches it locally. Options :transform_images - A function that transforms images, defaults to &amp; &amp;1 . It accepts a tuple like {binary_data, tensor_type, data_shape} which can be used for converting the binary_data to a tensor with a function like: fn { labels_binary , type , _shape } -&gt; labels_binary |&gt; Nx . from_binary ( type ) |&gt; Nx . new_axis ( - 1 ) |&gt; Nx . equal ( Nx . tensor ( Enum . to_list ( 0 .. 9 ) ) ) |&gt; Nx . to_batched_list ( 32 ) end :transform_labels - similar to :transform_images but applied to dataset labels","ref":"Scidata.MNIST.html#download/1","title":"Scidata.MNIST.download/1","type":"function"},{"doc":"Downloads the MNIST test dataset or fetches it locally. Accepts the same options as download/1 .","ref":"Scidata.MNIST.html#download_test/1","title":"Scidata.MNIST.download_test/1","type":"function"}]